Bug 498370 - port to PolicyKit 1.0
port to PolicyKit 1.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 02:05 EDT by Matthias Clasen
Modified: 2009-06-09 23:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 23:40:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (8.95 KB, patch)
2009-04-30 02:05 EDT, Matthias Clasen
no flags Details | Diff
new patch (27.70 KB, patch)
2009-05-12 01:31 EDT, Matthias Clasen
no flags Details | Diff
specfile changes (1.07 KB, patch)
2009-05-12 01:35 EDT, Matthias Clasen
no flags Details | Diff
new patch (31.03 KB, patch)
2009-05-12 12:19 EDT, Matthias Clasen
no flags Details | Diff
patch that includes can-set method to hide the Make Default button (39.79 KB, patch)
2009-05-12 14:22 EDT, Matthias Clasen
no flags Details | Diff
ported to 0.92 (40.83 KB, patch)
2009-05-13 19:15 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2009-04-30 02:05:25 EDT
Created attachment 341867 [details]
patch

here is an untested patch
Comment 1 Matthias Clasen 2009-05-12 01:31:32 EDT
Created attachment 343540 [details]
new patch

This patch has been tested; I've also converted the auth checks to be async.
Comment 2 Matthias Clasen 2009-05-12 01:35:42 EDT
Created attachment 343541 [details]
specfile changes
Comment 3 Matthias Clasen 2009-05-12 12:19:47 EDT
Created attachment 343619 [details]
new patch

The next patch is fully async, including the annotation handling
Comment 4 Matthias Clasen 2009-05-12 14:22:30 EDT
Created attachment 343638 [details]
patch that includes can-set method to hide the Make Default button
Comment 5 Matthias Clasen 2009-05-13 19:15:51 EDT
Created attachment 343884 [details]
ported to 0.92
Comment 6 Bug Zapper 2009-06-09 10:51:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matthias Clasen 2009-06-09 23:40:17 EDT
Built in GConf2-2.26.2-2.fc12
Comment 8 Matthias Clasen 2009-06-09 23:54:31 EDT
Upstream http://bugzilla.gnome.org/show_bug.cgi?id=585303

Note You need to log in before you can comment on or make changes to this bug.